.checkbox-label {
    color: rgba(0, 0, 0, 0.87);
}

/*
 * Astérisque après les labels des champs obligatoires
 */
label.required::after,
legend.required::after {
    content: " *";
    color: #f44336;
    /*
     * Override de quelques bizarreries de Materialize...
     */
    opacity: 1;
    position: static;
    display: inline;
}

.opencorner-form > .row {
    margin-bottom: 0px;
}

#contact_user_data_purposes {
    display: inline-grid;
}

#contact_us_message{
    height: 251px;
}

/*input[type=password]:not(.browser-default) {
input[type=password]:not(.browser-default) {
    padding-right: 51.5px;
    width: calc(100% - 51.5px);
}

input[type="password"]::-ms-reveal {
    display: none;
}*/

/*
 * Pour le champ "note" avec les étoiles :
 * https://github.com/mukulkant/Star-rating-using-pure-css
 */

#gallery_item_note {
    float: left;
}

#gallery_item_note > input {
    position: absolute;
    left: -9999px;
}

#gallery_item_note > label {
    float: right;
    width: 1em;
    overflow: hidden;
    white-space: nowrap;
    cursor: pointer;
    font-size: 30px;
    color: var(--rouge_mrbricolage);
    font-family: 'Material Icons';
}

#gallery_item_note > label:before {
    content: 'star_border';
}

#gallery_item_note > input:checked ~ label:before {
    content: 'star';
}

#gallery_item_note > label:hover,
#gallery_item_note > label:hover ~ label,
#gallery_item_note > input:focus-visible ~ label {
    color: var(--noir);
}

/* Pour Summernote */
.note-editable,
.edit-summernote + .note-frame {
    font-family: var(--font_ubuntu);
}

.edit-summernote + .note-editor .note-popover .popover-content .note-color-all .note-dropdown-menu,
.edit-summernote + .note-editor .note-toolbar .note-color-all .note-dropdown-menu {
    min-width: 348px;
}

.note-popover .popover-content .note-color .note-dropdown-menu .note-palette .btn.note-color-reset,
.note-popover .popover-content .note-color .note-dropdown-menu .note-palette .btn.note-color-select,
.note-toolbar .note-color .note-dropdown-menu .note-palette .btn.note-color-reset,
.note-toolbar .note-color .note-dropdown-menu .note-palette .btn.note-color-select {
    background: var(--button_background-color);
    box-shadow: var(--button_shadow);
    border-radius: var(--button_border-radius);
    padding: var(--button_padding);
    display: inline-block;
    border: none;
    color: var(--button_color);
    transition: 0.2s;
    cursor: pointer;
    font-family: var(--font_ubuntu);
    white-space: nowrap;
    line-height: 0.15;

    height: 21px;
    text-transform: none;
}

.note-popover .popover-content .note-color .note-dropdown-menu .note-palette .btn.note-color-reset:hover,
.note-popover .popover-content .note-color .note-dropdown-menu .note-palette .btn.note-color-reset:active,
.note-popover .popover-content .note-color .note-dropdown-menu .note-palette .btn.note-color-reset:focus,
.note-popover .popover-content .note-color .note-dropdown-menu .note-palette .btn.note-color-select:hover,
.note-popover .popover-content .note-color .note-dropdown-menu .note-palette .btn.note-color-select:active,
.note-popover .popover-content .note-color .note-dropdown-menu .note-palette .btn.note-color-select:focus,
.note-toolbar .note-color .note-dropdown-menu .note-palette .btn.note-color-reset:hover,
.note-toolbar .note-color .note-dropdown-menu .note-palette .btn.note-color-reset:active,
.note-toolbar .note-color .note-dropdown-menu .note-palette .btn.note-color-reset:focus,
.note-toolbar .note-color .note-dropdown-menu .note-palette .btn.note-color-select:hover,
.note-toolbar .note-color .note-dropdown-menu .note-palette .btn.note-color-select:active,
.note-toolbar .note-color .note-dropdown-menu .note-palette .btn.note-color-select:focus {
    background: #880726;
    color: var(--button_color);
    box-shadow: 0px 6px 6px #00000029;
    display: inline-block;
    border: none;
}

@media only screen and (max-width: 800px) {
    .rempl-cont, .rempl-cont-2 {
        width: 100% !important;
    }

    .row .col.rempl-cont,
    .row .col.rempl-cont-2 {
        padding-left: 30px;
        padding-right: 30px;
    }
}
